## gnome-shell-extension-bluetooth-quick-connect 16

=== Makefile ===
# Copyright 2019 Simon McVittie
# SPDX-License-Identifier: GPL-2.0-or-later
# (see extension.js for details)

all:
	glib-compile-schemas --strict --targetdir=schemas schemas

dist: all
	zip gnome-bluetooth-quick-connect.zip -9r *

clean:
	rm -fr gnome-bluetooth-quick-connect.zip schemas/gschemas.compiled

.PHONY: all clean dist

## gnome-shell-extension-bluetooth-quick-connect 0~git20190225

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (0~git20190225-1) unstable; urgency=medium

  * Initial release (Closes: #923267)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Feb 2019 16:53:48 +0000

=== debian/control ===
Source: gnome-shell-extension-bluetooth-quick-connect
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 gettext,
 libglib2.0-bin,
Standards-Version: 4.3.0
Homepage: https://github.com/bjarosze/gnome-bluetooth-quick-connect
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect
Rules-Requires-Root: no

Package: gnome-shell-extension-bluetooth-quick-connect
Architecture: all
Depends:
 gnome-shell (<< 3.31),
 gnome-shell (>= 3.28),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Description: GNOME Shell extension to connect paired Bluetooth devices
 This GNOME Shell extension adds entries to the shell's System menu
 to provide a quick way to connect and disconnect Bluetooth devices that
 were previously paired with the computer.
 .
 Please note that each user will need to enable the extension manually, for
 example using the gnome-tweaks application.

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/[~+](dfsg|ds)[0-9]*$//,compression=xz,repacksuffix=~dfsg,pretty=0~git%cd" \
https://github.com/bjarosze/gnome-bluetooth-quick-connect \
HEAD \
debian \
uupdate

## gnome-shell-extension-bluetooth-quick-connect 8

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (8-1) unstable; urgency=medium

  * Use an upstream release now that they are tagged
    - d/p/Do-not-force-enable-BT-on-extension-enable-only-do-sync-i.patch:
      Apply a patch that was in 0~git20190701 but not yet included in the
      latest upstream release
  * d/p/Add-a-build-system-for-gschemas.compiled.patch:
    Mark as applied upstream
  * d/watch: Only look for releases
  * d/gbp.conf: Use GNOME team settings

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Jul 2019 14:55:34 +0100

gnome-shell-extension-bluetooth-quick-connect (0~git20190701-1) unstable; urgency=medium

  * New upstream snapshot
    - Declare support for GNOME Shell 3.32
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jul 2019 08:26:21 +0100

## gnome-shell-extension-bluetooth-quick-connect 10

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (10-3) unstable; urgency=medium

  * Bump maximum GNOME Shell version to 3.36
  * Declare GNOME Shell 3.34, 3.36 compatibility in metadata
  * Standards-Version: 4.5.0 (no changes required)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 20:06:38 +0000

gnome-shell-extension-bluetooth-quick-connect (10-2) unstable; urgency=medium

  * Expand supported version range to include GNOME Shell 3.34

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Sep 2019 12:06:27 +0100

gnome-shell-extension-bluetooth-quick-connect (10-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Aug 2019 22:32:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 12),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/bjarosze/gnome-bluetooth-quick-connect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect
@@ -16,7 +16,7 @@
 Package: gnome-shell-extension-bluetooth-quick-connect
 Architecture: all
 Depends:
- gnome-shell (<< 3.31),
+ gnome-shell (<< 3.37),
  gnome-shell (>= 3.28),
  ${misc:Depends},
 Recommends:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/bjarosze/gnome-bluetooth-quick-connect/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extension-bluetooth-quick-connect 13

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (13-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update
    - d/control: Adjust dependencies.
      This version drops compatibility with GNOME Shell older than 3.36.
    - Drop patch to declare compatibility with GNOME 3.36, no longer required
    - Install schemas to expected location.
      The new version is more specific about where to find them.

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Jun 2020 11:55:44 +0100

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,14 @@
 Architecture: all
 Depends:
  gnome-shell (<< 3.37),
- gnome-shell (>= 3.28),
+ gnome-shell (>= 3.36),
  ${misc:Depends},
 Recommends:
- gnome-tweaks,
+ gnome-shell-extension-prefs,
 Description: GNOME Shell extension to connect paired Bluetooth devices
  This GNOME Shell extension adds entries to the shell's System menu
  to provide a quick way to connect and disconnect Bluetooth devices that
  were previously paired with the computer.
  .
  Please note that each user will need to enable the extension manually, for
- example using the gnome-tweaks application.
+ example using the gnome-shell-extension-prefs application.

## gnome-shell-extension-bluetooth-quick-connect 16

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (16-1) unstable; urgency=medium

  * New upstream release
    - Drop patch series
    - The code is identical to the patched versions 13-2 and 13-3

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Oct 2020 11:32:12 +0000

gnome-shell-extension-bluetooth-quick-connect (13-3) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Sep 2020 11:30:25 +0100

gnome-shell-extension-bluetooth-quick-connect (13-2) experimental; urgency=medium

  * d/patches: Update to upstream v13-7-g662250e
    - Drop compatibility with GNOME Shell < 3.37.x
    - Be compatible with GNOME Shell >= 3.37.x

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 18:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: gnome-shell-extension-bluetooth-quick-connect
 Architecture: all
 Depends:
- gnome-shell (<< 3.37),
- gnome-shell (>= 3.36),
+ gnome-shell (<< 3.39),
+ gnome-shell (>= 3.37),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,

## gnome-shell-extension-bluetooth-quick-connect 20

=== Makefile ===
--- 
+++ 
@@ -11,4 +11,7 @@
 clean:
 	rm -fr gnome-bluetooth-quick-connect.zip schemas/gschemas.compiled
 
+install: dist
+	gnome-extensions install --force gnome-bluetooth-quick-connect.zip
+
 .PHONY: all clean dist

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (20-1) experimental; urgency=medium

  * New upstream release for GNOME 40 (Closes: #993057)
  * d/watch: Update for Github changes
  * Use debhelper compat level 13
  * Disable dh_auto_install.
    It doesn't do the right thing for upstream's `make install`.

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:33:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  libglib2.0-bin,
 Standards-Version: 4.5.0
@@ -16,8 +16,8 @@
 Package: gnome-shell-extension-bluetooth-quick-connect
 Architecture: all
 Depends:
- gnome-shell (<< 3.39),
- gnome-shell (>= 3.37),
+ gnome-shell (<< 41~),
+ gnome-shell (>= 40~),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	# Upstream's `make install` is not suitable for packaging

## gnome-shell-extension-bluetooth-quick-connect 23

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (23-2) unstable; urgency=medium

  * Declare compatibility with GNOME Shell 41 (Closes: #996047)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Oct 2021 11:54:25 +0100

gnome-shell-extension-bluetooth-quick-connect (23-1) unstable; urgency=medium

  * New upstream release
  * Suggest using gnome-extensions-app instead of gnome-shell-extension-prefs
  * Add missing dependency on bluez
  * Update standards version to 4.6.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Oct 2021 15:57:28 +0100

gnome-shell-extension-bluetooth-quick-connect (20-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 22:15:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/bjarosze/gnome-bluetooth-quick-connect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect
@@ -16,7 +16,8 @@
 Package: gnome-shell-extension-bluetooth-quick-connect
 Architecture: all
 Depends:
- gnome-shell (<< 41~),
+ bluez,
+ gnome-shell (<< 42~),
  gnome-shell (>= 40~),
  ${misc:Depends},
 Recommends:
@@ -27,4 +28,5 @@
  were previously paired with the computer.
  .
  Please note that each user will need to enable the extension manually, for
- example using the gnome-shell-extension-prefs application.
+ example using gnome-extensions-app, which is part of the
+ gnome-shell-extension-prefs package.

## gnome-shell-extension-bluetooth-quick-connect 26

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	glib-compile-schemas --strict --targetdir=schemas schemas
 
 dist: all
-	zip gnome-bluetooth-quick-connect.zip -9r *
+	zip gnome-bluetooth-quick-connect.zip -9r * -x Makefile
 
 clean:
 	rm -fr gnome-bluetooth-quick-connect.zip schemas/gschemas.compiled

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (26-1) unstable; urgency=medium

  * New upstream release
    - Drop patch for compatibility with GNOME 41, applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 12:15:27 +0000

## gnome-shell-extension-bluetooth-quick-connect 33

=== Makefile ===
# Copyright 2019 Simon McVittie
# SPDX-License-Identifier: GPL-2.0-or-later
# (see extension.js for details)

dist:
	gnome-extensions pack -f --extra-source=bluetooth.js --extra-source=bluetooth_legacy.js \
	--extra-source=power.js --extra-source=quickSettings.js --extra-source=settings.js \
	--extra-source=Settings.ui --extra-source=ui.js --extra-source=utils.js -o .

clean:
	rm -fr gnome-bluetooth-quick-connect.zip schemas/gschemas.compiled

install: dist
	gnome-extensions install -f bluetooth-quick-connect@bjarosze.gmail.com.shell-extension.zip

translation:
	mkdir -p po
	xgettext --from-code=UTF-8 extension.js quickSettings.js ui.js Settings.ui \
	-o po/bluetooth-quick-connect.pot

.PHONY: clean dist

=== debian/changelog ===
gnome-shell-extension-bluetooth-quick-connect (33-1) unstable; urgency=medium

  * New upstream release
    - New translation: oc
    - No code changes

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Feb 2023 16:49:25 +0000

gnome-shell-extension-bluetooth-quick-connect (32-1) unstable; urgency=medium

  * New upstream release
    - Sort devices in the menu
    - Initial translation support: de, es, fr, nl, pl
  * d/copyright: Update
  * Standards-Version: 4.6.2 (no changes required)
  * Build-depend on gnome-shell, for the gnome-extensions tool
  * d/rules: Include all files from upstream's `make dist`

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Feb 2023 10:08:49 +0000

gnome-shell-extension-bluetooth-quick-connect (30-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied upstream
  * Fix attribution in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Sep 2022 19:48:32 +0100

gnome-shell-extension-bluetooth-quick-connect (29-3) unstable; urgency=medium

  * Fix "this._proxy is undefined" error with some configuration options.
    Thanks to frosth555 and WorkingRobot on Github

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Sep 2022 20:35:20 +0100

gnome-shell-extension-bluetooth-quick-connect (29-2) unstable; urgency=medium

  * Add proposed patch to integrate with GNOME Shell 43 (Closes: #1018186)
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 20:22:29 +0100

gnome-shell-extension-bluetooth-quick-connect (29-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Apr 2022 16:40:23 +0100

gnome-shell-extension-bluetooth-quick-connect (26-2) unstable; urgency=medium

  * Add patches for compatibility with GNOME Shell 42 (Closes: #1008120)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Apr 2022 12:00:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
+ gnome-shell (>= 42~),
+ gnome-shell (<< 44~),
  libglib2.0-bin,
-Standards-Version: 4.6.0
+ unzip,
+Standards-Version: 4.6.2
 Homepage: https://github.com/bjarosze/gnome-bluetooth-quick-connect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-bluetooth-quick-connect
@@ -17,8 +20,8 @@
 Architecture: all
 Depends:
  bluez,
- gnome-shell (<< 42~),
- gnome-shell (>= 40~),
+ gnome-shell (<< 44~),
+ gnome-shell (>= 42~),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

extension_id=bluetooth-quick-connect@bjarosze.gmail.com
install_dir=$(CURDIR)/debian/tmp/usr/share/gnome-shell/extensions/$(extension_id)

%:
	dh $@

override_dh_auto_install:
	install -d $(install_dir)
	unzip -d $(install_dir) $(extension_id).shell-extension.zip

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/bjarosze/gnome-bluetooth-quick-connect/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
